#!/usr/bin/env python
from __future__ import print_function

import argparse
import subprocess

import os
dir_path = os.path.dirname(os.path.realpath(__file__))

inventory_script = dir_path + "/scripts/libvirt_inventory.py"

cmd =  'python {0}'.format(inventory_script)

if __name__ == "__main__"    :

    parser = argparse.ArgumentParser()

    parser.add_argument("--list",
                        "-l",
                        action='store_true',
                        required=False)

    p = subprocess.Popen(cmd.split(" "), stdout=subprocess.PIPE)

    output = p.stdout.read()

    print(output)

    exit(0)
