#!/bin/bash

# Install virtualenv with pip if not already installed.
# pip must be installed before executing this script

pip freeze | grep virtualenv > /dev/null  2>&1

is_installed=$?

if [ "$is_installed" -eq 0 ]; then
  echo 'virtualenv is already installed'
  exit 0

else
  pip install virtualenv > /dev/null  2>&1
  echo 'virtualenv has been installed'
  exit 0
fi
